Package org.apache.commons.collections4

# Interface Get<K,V>

Type Parameters:
  `K` - The type of the keys in this map
  `V` - The type of the values in this map

All Known Subinterfaces:
  `BidiMap<K,V>`, `BoundedMap<K,V>`, `IterableGet<K,V>`, `IterableMap<K,V>`, `IterableSortedMap<K,V>`, `MultiMap<K,V>`, `OrderedBidiMap<K,V>`, `OrderedMap<K,V>`, `SortedBidiMap<K,V>`, `Trie<K,V>`

All Known Implementing Classes:
  `AbstractBidiMapDecorator`, `AbstractBitwiseTrie`, `AbstractDualBidiMap`, `AbstractHashedMap`, `AbstractIterableGetMapDecorator`, `AbstractIterableMap`, `AbstractLinkedMap`, `AbstractMapDecorator`, `AbstractOrderedBidiMapDecorator`, `AbstractOrderedMapDecorator`, `AbstractPatriciaTrie`, `AbstractReferenceMap`, `AbstractSortedBidiMapDecorator`, `AbstractSortedMapDecorator`, `CaseInsensitiveMap`, `CompositeMap`, `DefaultedMap`, `DualHashBidiMap`, `DualLinkedHashBidiMap`, `DualTreeBidiMap`, `DualTreeBidiMap.ViewMap`, `FixedSizeMap`, `FixedSizeSortedMap`, `Flat3Map`, `HashedMap`, `LazyMap`, `LazySortedMap`, `LinkedMap`, `ListOrderedMap`, `LRUMap`, `MultiKeyMap`, `MultiValueMap`, `PassiveExpiringMap`, `PatriciaTrie`, `PredicatedMap`, `PredicatedSortedMap`, `ReferenceIdentityMap`, `ReferenceMap`, `SingletonMap`, `StaticBucketMap`, `TransformedMap`, `TransformedSortedMap`, `TransformedSplitMap`, `TreeBidiMap`, `UnmodifiableBidiMap`, `UnmodifiableMap`, `UnmodifiableOrderedBidiMap`, `UnmodifiableOrderedMap`, `UnmodifiableSortedBidiMap`, `UnmodifiableSortedMap`, `UnmodifiableTrie`

public interface Get<K,V>
The "read" subset of the `Map` interface.

Since:
  4.0
See Also:
  - `Put`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `containsKey(Object key)`
  Tests for presence of a given key.
  `boolean`
  `containsValue(Object value)`
  Tests for presence of a given value.
  `Set<Map.Entry<K,V>>`
  `entrySet()`
  Gets a set view of the mappings contained in this map.
  `V`
  `get(Object key)`
  Gets a value at a given key.
  `boolean`
  `isEmpty()`
  Tests whether this instance contains any key-value mappings.
  `Set<K>`
  `keySet()`
  Gets a view of the keys contained in this map.
  `V`
  `remove(Object key)`
  Remove a key-value mappings.
  `int`
  `size()`
  Gets the number of key-value mappings in this map.
  `Collection<V>`
  `values()`
  Gets a a collection view of the values contained in this map.

- ## Method Details

  - ### containsKey

    boolean containsKey(Object key)
    Tests for presence of a given key.
    Parameters:
      `key` - key whose presence in this map is to be tested.
    Returns:
      `true` if this map contains a mapping for the specified key.
    See Also:
      - `Map.containsKey(Object)`

  - ### containsValue

    boolean containsValue(Object value)
    Tests for presence of a given value.
    Parameters:
      `value` - value whose presence in this map is to be tested.
    Returns:
      `true` if this map maps one or more keys to the specified value.
    See Also:
      - `Map.containsValue(Object)`

  - ### entrySet

    Set<Map.Entry<K,V>> entrySet()
    Gets a set view of the mappings contained in this map.
    Returns:
      A set view of the mappings contained in this map.
    See Also:
      - `Map.entrySet()`

  - ### get

    V get(Object key)
    Gets a value at a given key.
    Parameters:
      `key` - The key whose associated value is to be returned.
    Returns:
      The value to which the specified key is mapped, or `null` if this map contains no mapping for the key.
    See Also:
      - `Map.get(Object)`

  - ### isEmpty

    boolean isEmpty()
    Tests whether this instance contains any key-value mappings.
    Returns:
      `true` if this map contains no key-value mappings.
    See Also:
      - `Map.isEmpty()`

  - ### keySet

    Set<K> keySet()
    Gets a view of the keys contained in this map.
    Returns:
      A set view of the keys contained in this map.
    See Also:
      - `Map.keySet()`

  - ### remove

    V remove(Object key)
    Remove a key-value mappings.
    Parameters:
      `key` - key whose mapping is to be removed from the map.
    Returns:
      The previous value associated with `key`, or `null` if there was no mapping for `key`.
    See Also:
      - `Map.remove(Object)`

  - ### size

    int size()
    Gets the number of key-value mappings in this map.
    Returns:
      The number of key-value mappings in this map.
    See Also:
      - `Map.size()`

  - ### values

    Collection<V> values()
    Gets a a collection view of the values contained in this map.
    Returns:
      A collection view of the values contained in this map.
    See Also:
      - `Map.values()`